[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.OnEndDock

Event handler for the end of a docking operation

## Declaration

Source position: controls.pp line 1231

`protected property TControl.OnEndDock: TEndDragEvent read FOnEndDock write FOnEndDock;`

## Description

This message is sent to the dragged control.

Sender is the control to be docked.

Target is the control into which the Sender is docked, or Nil when dragging has been aborted.

X and Y are the screen coordinates of the drop.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.